TYPO3.Neos - Task # 8734

Status: Resolved Priority: Should have
Author: Robert Lemke Category:

Created: 2010-07-08 Assigned To: Karsten Dambekalns
Updated: 2012-08-31 Due date:

Subiject: Clean up SetupController and its resources

Description

The Backend\SetupController is currently a real mess. FLOWS's validation is neglected, the Fluid template uses inline styles (well, it
uses the "error" layout to display the setup screen) and so on. Also the import functionality should be extracted to its own class.

Bottomline: Make this a clean controller, properly implemented

Related issues:
related to TYPOS3.Neos - Task # 8731: Meaninful messages in setup controller Resolved 2010-07-07

History

#1 - 2010-07-09 18:51 - Christian Miiller
- Assigned To set to Christian Miller

#2 - 2010-07-09 18:52 - Christian Muiller
- Status changed from New to Accepted

#3 - 2010-07-14 10:00 - Sebastian Kurfuerst

Hey Christian,

| just wanted to ask what the current status on this issue is. Do you have any open questions, or is there anything we can do to support you solving this
issue? You'll find us in the usual Jabber chatroom.

Thanks in advance for a short status!

Greets,

Sebastian

#4 - 2010-07-16 19:41 - Christian Miiller

See also Scrum protocol of today. | am mostly working on management view and Bastian supported this by saying that probably Robert wants to have

a word in this refactoring...

#5 - 2010-08-11 08:58 - Christian Miiller
- File phoenix_task_8734.patch added

And here finally a patch for it.

Some notes:

| took the footer from login to make it a bit similar, | would like to pack the footer into some separate file and reuse it in both with fluid but do not know
how that is possible.

| copied the TransparentBackground Stuff from Frontend to backend, so we have a duplicate file now, but as they will replaced at some point anyway

at least we do not mix file reference from backend to frontend.

So you need to copy

\Packages\Application\TYPO3\Resources\Public\Frontend\Error\Images\TransparentBackgroundWithRed.png to
\Packages\Application\TYPO3\Resources\Public\Backend\Media\Images\Backgrounds\TransparentBackgroundWithRed.png

#6 - 2010-08-11 18:53 - Christian Miiller
- File phoenix_task_8734 v2.patch added

#7 - 2010-08-12 09:43 - Robert Lemke
- Status changed from Accepted to Needs Feedback
- Assigned To changed from Christian Miiller to Karsten Dambekalns

#8 - 2010-08-16 11:20 - Karsten Dambekalns
- File phoenix_task 8734 v3.patch added

This is the patch that will be committed. Some tiny changes only.

#9 - 2010-08-16 13:14 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Resolved as of r4973.

#10 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (593)

#11 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos

Files

phoenix_task_8734.patch 20.2 kB 2010-08-11 Christian Muller
phoenix_task_8734_v2.patch 21.7 kB 2010-08-11 Christian Mdller
phoenix_task_8734_v3.patch 21.1 kB 2010-08-16 Karsten Dambekalns

2015-08-03

22



